@charset "UTF-8";
@import url(vermin.css);
@import url(ShareTechMono.css);
@import url(webfonts/all.min.css);
@import url(mononoki.css);
@import url(handschrift.css);

/* Color-Palette "Earthy Forest Hues" from here: https://coolors.co/palette/dad7cd-a3b18a-588157-3a5a40-344e41 */
:root {
    --bgc: #DAD7CD;
    --g1: #A3B18A;
    --g2: #588157;
    --g2t: #5881578c;
    --g3: #3A5A40;
    --g4: #344E41;
    scrollbar-width: thin;
    scrollbar-color: var(--g4) var(--bgc);
    --curdef: url("../img/cur/default.png") 4 4, auto;
    --curtxt: url("../img/cur/text.png") 16.5 15.5, text;
    --curpnt: url("../img/cur/pointer.png") 16.5 4, pointer;
    --curhlp: url("../img/cur/help.png") 4 4, help;
}

::selection {
    color: var(--g1);
    background-color: var(--g4);
    text-decoration: none;
}

html {
  width: 100%;
  height: 100%;
  cursor: var(--curdef);
}

body {
    background-color: var(--bgc);
    background-image: url('../img/bg.png');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: bottom 5px right 5px;
    image-rendering: pixelated;
    color: var(--g4);
    font-family: 'Share Tech Mono', Arial, Helvetica, sans-serif;
    font-size: 18px;
    letter-spacing: 1px;
    cursor: var(--curdef);
    margin-left: auto;
    margin-right: auto;
    overflow-y: scroll;
    scrollbar-gutter: stable;
    line-height: 25px;
    padding-bottom: 20px;
    width: 100%;
    max-width: 600px;    
}

html, body, div {
  cursor: var(--curdef);
}

p, input, textarea, .quote, .code  {
  cursor: var(--curtxt);
}

a, .button, button {
  cursor: var(--curpnt);
}

hr {
    max-width: 80%;
    border-top: 1px dashed var(--g3);
    border-bottom: none;
    border-left: none;
    border-right: none;
    margin-top: 20px;
    margin-bottom: 15px;
    filter: drop-shadow(0px 1px 0px #DAD7CD);
}

abbr {
    text-decoration: underline dashed;
    cursor: var(--curhlp);
}

img.avatar {
  display: inline-block;
  vertical-align: top;
  border: 1px solid var(--g4);
  background-color: var(--bgc);
  height: 70px;
  width: 70px;
  padding: 5px 5px 15px 5px;
  margin-top: -5px;
  margin-bottom: -5px;
  margin-right: 15px;
  object-fit: cover;
  image-rendering: auto;
  box-shadow: 3px 3px 0px 0px #344E41;
}

img.thumb {
    background-color: var(--bgc);
    background-image: url('../img/loading.gif');
    background-position: center center;
    background-repeat: no-repeat;
    padding: 5px 5px 25px 5px;
    margin: 5px;
    border: 1px solid var(--g4);
    box-shadow: 3px 3px 0px 0px #344E41, inset 0px 0px 0px 1px #DAD7CD;
}

img#screenjesus {
  z-index: 999999;
  position: fixed;
  top: 0;
  left: 50%;
  transform: translate(-50%);
}

.counter {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 20px;
    opacity: 0.2;
    box-shadow: 1px 1px 5px 0px #0000005b;
    font-size: 10px;
}

.counter:hover {
  opacity: 1.0;
}


/* Font-Styles */ 
a {
	color: var(--g2);
	text-decoration-line: none;
}

a:hover {
	color: var(--g3);
	text-decoration-line: underline;
  text-decoration-color: var(--g4);  
  text-decoration-style: wavy;
  animation: fade 1.2s infinite alternate ease-in-out;
}

a.ext {
  padding-right: 8px;
}

a.ext::after {
  position: absolute;
  content: '';
  display: inline-block;
  margin-top: 8px;
  margin-left: 2px;
  height: 8px;
  width: 8px;
  background-size: 100%;
  background-image: url('../img/ext.png');
}

i[class*="fa-"] {
    color: var(--g3);
    font-size: 16px;
}


h1 {
    font-family: 'vermin';
    font-size: 90px;
    letter-spacing: 5px;
    font-variant: small-caps;
    text-align: center;
    transform: rotate(-5deg);
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 4px;
    color: var(--g2);
    text-shadow: 0px 1px 0px #344E41, 0px 2px 0px #344E41, 0px 3px 0px #344E41, 0px 4px 0px #344E41, 0px 5px 4px #000000;
}

h2 {
  color: var(--g3);
  text-decoration-line: underline;
  text-decoration-color: var(--g2);
  font-size: 25px;
  font-variant: small-caps;
  padding-left: 10px;
}


/* Container */
div.site {
    animation: onload 0.8s;
    position: relative;
    z-index: 1;
    margin-left: auto;
    margin-right: auto;
}

div.content {
    display: none;
    background: var(--g1);
    margin-top: 20px;
    margin-bottom: 20px;
    border: 1px solid var(--g4);
    box-shadow: 1px 1px 5px 0px #0000005b, inset 0px 0px 0px 1px #DAD7CD;
    padding: 15px;
}

div.content:hover {
    border: 1px solid var(--g2);
}
  
div.header {
    margin-left: -15px;
    margin-right: -15px;
}
  
div.header, div.nav {
    background: var(--bgc);
    background-image: url('../img/hdots2.png');
    background-repeat: no-repeat;
    background-position: center right 6px;
    font-size: 20px;
    padding-top: 1px;
    padding-bottom: 1px;
    padding-left: 30px;
    padding-right: 30px;
    margin-top: 30px;
    margin-bottom: 10px;
    border: 1px solid var(--bgc);
    box-shadow: inset 0px 0px 0px 1px #344E41;
}

div.header:first-child {
  margin-top: -15px;
}

div.nav {
  position: sticky;
  top: 0;
  margin-left: 1px;
  margin-right: 1px;
  box-shadow: 1px 1px 5px 0px #0000005b, inset 0px 0px 0px 1px #344E41;
  z-index: 9999;
}

/* Lightbox */
#lightbox {
  position: fixed;
  inset: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #DAD7CD85;
  backdrop-filter: blur(10px);
  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.25s ease,
    visibility 0.25s ease;
  z-index: 9999;
}

#lightbox.active {
  opacity: 1;
  visibility: visible;
}

#lightbox-img {
  max-width: 95%;
  max-height: 90vh;
  border: 2px solid var(--g4);
  padding: 2px;
  box-shadow: 4px 4px 0px 0px #344E41, inset 0px 0px 0px 1px #DAD7CD;
  image-rendering: auto;
}

#lightbox-loader {
    position: absolute;
    max-width: 80px;
    display: none;
}

#lightbox.loading #lightbox-loader {
    display: block;
}

#lightbox.loading #lightbox-img {
    opacity: 0;
}

.lightbox-trigger {
  background-color: var(--bgc);
  background-image: url('../img/loading.gif');
  background-position: center center;
  background-repeat: no-repeat;
  padding: 5px 5px 25px 5px;
  margin: 5px;
  border: 1px solid var(--g4);
  box-shadow: 3px 3px 0px 0px #344E41, inset 0px 0px 0px 1px #DAD7CD;
}

.lightbox-trigger:hover {
  cursor: var(--curpnt);
}

#close-btn {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 42px;
  line-height: 1;
  color: var(--g3);
  cursor: var(--curpnt);
  transition:
    transform 0.2s ease,
    color 0.2s ease;
  filter: drop-shadow(1px 1px 0px #DAD7CD) drop-shadow(-1px -1px 0px #DAD7CD) drop-shadow(-1px 1px 0px #DAD7CD) drop-shadow(1px -1px 0px #DAD7CD);
}

#close-btn:hover {
  color: var(--g4);
  transform: scale(1.1);
}

  
/* Style the buttons that are used to open the tab content */
.nav button {
  color: var(--bgc);
  background-color: var(--g2);
  font-size: 14px;
  font-variant: small-caps;
  border: 1px solid var(--g4);
  box-shadow: inset 0px 0px 0px 1px #DAD7CD;
  outline: none;
  cursor: var(--curpnt);
  padding: 4px 6px;
  transition: 0.3s;
  margin: 0px -2px;
}


/* Change background color of buttons on hover */
.nav button:hover {
  background-color: var(--g3);
  border: 1px solid var(--g3);
  cursor: var(--curpnt);
}

/* Create an active/current tablink class */
.nav button.active {
  color: var(--g4);
  background-color: var(--g1);
  cursor: var(--curdef);
}

.nav [title]::after {
  content: attr(title);
  padding-left: 3px;
}

.nav i[class*="fa-"] {
  color: inherit;
  font-size: inherit;
}

div.footer {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  text-align: center;
  border-top: none;
  z-index: 0;
}

div.noaiwebring {
  color: var(--g1);
  font-size: 14px;
  text-align: center;
}

.noaiwebring i[class*="fa-"] {
    color: var(--g1);
    font-size: 12px;
}

.noaiwebring a {
  color: var(--g2);
}

.noaiwebring a:hover {
  color: var(--g3);
}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

/* Text-Styling */
.kursiv {
    font-style: italic;
    display: inline;
}

.fett {
    font-weight: bold;
    letter-spacing: 1px;
    display: inline;
}

.unterstrichen {
    text-decoration: underline var(--g2);
    display: inline;
}

.invertiert {
    color: var(--g1);
    background-color: var(--g4);
    display: inline;
    padding: 0 2px;
}

.invertiert::selection {
    color: var(--g4);
    background-color: var(--g1);
    text-decoration-line: underline;
    text-decoration-color: var(--g4);  
    text-decoration-style: dotted;
}

.caption {
  font-size: calc(100% - 2px);
  font-family: 'handschrift';
  color: var(--g4);
  margin-top: -38px;
} 

.nowrap {
    display: inline;
    white-space: nowrap;
}

.header {
  cursor: var(--curdef);
}

div.quote {
    background-color: var(--bgc);
    font-size: 16px;
    font-style: italic;
    text-align: justify;
    text-justify: inter-word;
    border: none;
    padding-left: 10px;
    padding-right: 25px;
    padding-top: 2px;
    padding-bottom: 2px;
    margin: 5px;
    box-shadow: 3px 3px 0px 0px #344E41;
}

div.quote:before {
    content: "\"";
    color: var(--g3);
    font-size: 50px;
    width: 100%;
    height: 100%;
    text-align: right;
    display: block;
    line-height: 10px;
    margin-top: 20px;
    margin-bottom: -30px;
    margin-left: 20px;
    opacity: 0.4;
}

div.code {
    background-color: var(--bgc);
    font-size: 13px;
    font-family: 'mononoki', monospace;
    letter-spacing: 0.5px;
    line-height: 18px;
    word-break: break-all;
    cursor: var(--curtxt);
    user-select: all;
    border: none;
    padding-left: 10px;
    padding-right: 30px;
    padding-top: 2px;
    padding-bottom: 2px;
    margin: 5px;
    box-shadow: 3px 3px 0px 0px #344E41;
}

div.code:before {
    content: "</>";
    color: var(--g3);
    font-size: 12px;
    font-weight: bold;
    width: 100%;
    height: 100%;
    text-align: right;
    display: block;
    line-height: 10px;
    margin-top: 5px;
    margin-bottom: -15px;
    margin-left: 25px;
    opacity: 0.4;
}

.frens {
  display: block;
  width: 90%;
  margin-left: auto;
  margin-right: auto;
  background-color: var(--g2t);
  padding: 15px 15px 0px 15px;
  border: solid 1px var(--g4);
  box-shadow: inset 0px 0px 0px 1px #DAD7CD, inset 4px 5px 0px 0px #344E41;
  line-height: 35px;
  text-align: center;
  max-height: 140px;
  overflow-x: hidden;
  overflow-y: scroll;
  scrollbar-color: var(--g4) var(--g2);
}

.frens img {
  filter: drop-shadow(3px 4px 0px #344E41);
}

/* nah.
.marquee {
  display: flex; 
  justify-content:space-around;
  animation: marquee 10s linear infinite;
}

.marquee:hover {
  animation-play-state: paused;
}
*/

.placeholder {
  width: 86px;
  height: 29px;
  border: dashed 1px;
  background-color: var(--bgc);
  font-size: 12px;
  font-variant: small-caps;
  line-height: 12px;
  margin-left: 15px;
  margin-bottom: 15px;
  margin-right: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
  filter: drop-shadow(3px 4px 0px #344E41);
}

p.subtext {
    font-size: 14px;
    line-height: 1.5;
    margin-bottom: -10px;
    color: var(--g3);
}


/* Mobile */
@media only screen and (max-width: 800px) {
  
  body {
    font-size: calc(100% + 3px);
    overflow-x: hidden;
  }
    
  h1 {
    font-size: 75px;
    letter-spacing: 1px;
  }
  
  div.site {
    width: 98%;
    max-width: 400px;
  }
  
  div.content, div.noaiwebring, h1 {
    margin-right: auto;
    margin-left: auto;
    position: relative;
    display: block;
  }
  
  div.content {
    width: 90%;
    max-width: 400px;
  }
  
  div.header, div.nav {
   max-width: 400px;
  }
    
  div.nav {
    margin-left: 5px;
    margin-right: 5px;
  }
  
  div.nav button {
   padding: 6px 4px;
   margin-left: -20px;
   margin-right: 15px;
   font-size: calc(100% - 8px);
  }
  
  .nav [title]::after {
    content: attr(title);
    opacity: 0;
    font-size: 0;
  }
  
  .nav [title]:hover::after, .nav [title].active::after {
    content: attr(title);
    opacity: 1;
    font-size: calc(100% + 3px);
  }
  
  .nav i[class*="fa-"] {
    font-size: calc(100% + 8px);
  }
  
  div.noaiwebring {
    margin-left: -15px;
    margin-right: -15px;
  }
}

/* Easter Egg */
#dino-overlay {
    position: fixed;
    inset: 0;
    backdrop-filter: blur(20px);
    background: rgba(0,0,0,0.3);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

#dino-container {
    width: 512px;
    height: 512px;
    background: #DAD7CD;
    color: #344E41;
    overflow: hidden;
    border: 1px solid #344E41;
    box-shadow: 0px 0px 10px 10px #0000005b;
}

#dino-score {
    font-family: 'vermin';
    font-size: 36px;
    color: #588157;
    margin-bottom: -50px;
    margin-top: -50px;
}

/* Animations */
@keyframes onload {
    0% { transform: scale(0.1); opacity: 0; filter: blur(10px); }
    50% { transform: scale(1.1); opacity: 0.5; filter: blur(5px); }
    100% { transform: scale(1); opacity: 1; filter: blur(0px); }
}

@keyframes fade {
    from { color: var(--g2); }
  	to { color: var(--g3); }
}

@keyframes marquee {
  0% { transform: translateX(100%); }
  100% { transform: translateX(-100%); }
}